LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07314Bug reports[All Projects] Print Viewpublic2013-02-20 11:052013-03-02 16:34
Reporteruser10811 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07314: ANSWERTABLE displays custom Html code into answers column
DescriptionWhen you use some extra html code into answer options, this code will be displayed as plain text when printing the responses
Steps To Reproduce1. create a button radio question
2. set possible answers:
  - yes
  - no
3. submit and print
Additional Informationattached .lsq export and screenshot
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130213
Browsersafari
Database & DB-Version_
Operating System (Server)linux
Webserver software & versionapache
PHP Version5.2.11
Attached Filesgif file icon html_2013-02-18.gif [^] (3,058 bytes) 2013-02-20 11:05


? file icon limesurvey_question_17.lsq [^] (2,289 bytes) 2013-02-20 17:39

- Relationships

-  Notes
User avatar (24180)
c_schmitz (administrator)
2013-02-20 17:10

Please attach a 1-question sample survey demonstrating the issue - thank you.
(24182)
user10811
2013-02-20 17:41

(missing) file uploaded - Thx
User avatar (24184)
c_schmitz (administrator)
2013-02-20 23:41

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11665 [^]
(24191)
user10811
2013-02-21 14:13
edited on: 2013-02-21 14:14

Thanks Carsten..

I just did more try but the situation now seems that html tags are not displayed but in the other hand not interpreted; So in my example if you use 'bold' tags to highlight a word or phrase, everything will be displayed using 'normal' font-weight;
I try replacing ( +/- L 203):
$printoutput .= "\t<tr class='printanswersquestion'><td>{$fname[0]} {$fname[1]}</td><td class='printanswersanswertext'>".flattenText($fname[2])."</td></tr>";
for:
$printoutput .= "\t<tr class='printanswersquestion'><td>{$fname[0]} {$fname[1]}</td><td class='printanswersanswertext'>{$fname[2]}</td></tr>";

...and the behaviour is now ok for me!

Obviously it's just a previous version of LS code based approach, and I've no idea if this syntax is now valid with the new framework.

User avatar (24420)
c_schmitz (administrator)
2013-02-26 20:03

New version released.
User avatar (24479)
c_schmitz (administrator)
2013-03-02 16:34

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11724 [^]

- Related Changesets
LimeSurvey: master a7f29144
Timestamp: 2013-02-20 22:41:33
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07314: Print answers displays custom html code in answers column
mod - application/controllers/PrintanswersController.php Diff ] File ]
LimeSurvey: 2.1 d2ccf58f
Timestamp: 2013-03-02 14:25:38
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07314: Print answers displays custom html code in answers column
mod - application/controllers/PrintanswersController.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-02-20 11:05 user10811 New Issue
2013-02-20 11:05 user10811 File Added: html_2013-02-18.gif
2013-02-20 17:10 c_schmitz Note Added: 24180
2013-02-20 17:10 c_schmitz Assigned To => c_schmitz
2013-02-20 17:10 c_schmitz Status new => feedback
2013-02-20 17:39 user10811 File Added: limesurvey_question_17.lsq
2013-02-20 17:41 user10811 Note Added: 24182
2013-02-20 17:41 user10811 Status feedback => assigned
2013-02-20 23:41 c_schmitz Changeset attached => LimeSurvey master a7f29144
2013-02-20 23:41 c_schmitz Note Added: 24184
2013-02-20 23:41 c_schmitz Resolution open => fixed
2013-02-20 23:59 c_schmitz Status assigned => resolved
2013-02-20 23:59 c_schmitz Fixed in Version => 2.00+
2013-02-21 14:13 user10811 Note Added: 24191
2013-02-21 14:14 user10811 Note Edited: 24191 View Revisions
2013-02-26 20:03 c_schmitz Note Added: 24420
2013-02-26 20:03 c_schmitz Status resolved => closed
2013-03-02 16:34 c_schmitz Changeset attached => LimeSurvey 2.1 d2ccf58f
2013-03-02 16:34 c_schmitz Note Added: 24479


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker